Recent content by TLohi

  1. T

    How to get full topology tree from non-root shape?

    Hi easternbun, If you are using AIS for visualization, this can be achieved using following code: Handle(AIS_InteractiveContext) con = myDocument->getContext(); for(con->InitSelected(); con->MoreSelected(); con->NextSelected()) {...
  2. T

    Normal of face

    Thanks This approach works and I get the normals right now
  3. T

    Normal of face

    Hello, I am having some difficulties to get normal of face out correctly. I select face and calculate it normal using function: inline void getPlaneNormal(const TopoDS_Face fc, gp_Dir &face_normal, gp_Pnt &pntCenter) { if (fc.IsNull()) return false; BRepAdaptor_Surface surf(fc)...
  4. T

    Problem with custom AIS object visualization

    Thanks for reply, I have version 7.6.0
  5. T

    Problem with custom AIS object visualization

    Hi, I am implementing custom AIS_InteractiveObject but when displaying transparent version of object parts behave strange way. When changing point of view part of object that should be behind came forward. For comparision images have also non transparent version. Axises are constructed using...
  6. T

    AIS_Shape edge colouring

    I managed to achieve what I wanted. It was that simple: //get default drawer from context Handle(Prs3d_Drawer) drawer = myContext->DefaultDrawer(); //set faces edges visible drawer->SetFaceBoundaryDraw(true);
  7. T

    AIS_Shape edge colouring

    Hi all, I would like to have some help with AIS_InteractiveObject visualization. At the moment when I visualize TopoDS_Solid as AIS_Shape, shape is full orange. I would like that edges of shapes would be different colour for example black, but I don't know how to achieve this. Thanks -TLohi
  8. T

    How to write 3D annotation information into STEP-file

    Hi, Thanks for help. Yeah, dealing with low level STEP stuff is hard. Actually I tried doing annotations with StepCAFControl_Writer and XCAF but I haven't had any success so far. Maybe I should do deeper dive into TKXCAF package.
  9. T

    How to write 3D annotation information into STEP-file

    Here is what I have tried sorry, ":" + "D" is presented as :D and I don't know how to stop this
  10. T

    How to write 3D annotation information into STEP-file

    @Andrey I suppose you mean about datums what @JSlyadne wrote about. Datum as far as I understand is for symbolic tolerance annotations etc. I want to have text that is displayed in for example NIST Step file viewer. This is discussed about in...
  11. T

    How to write 3D annotation information into STEP-file

    Hi, I'am tyring to add 3D annotation information to STEP file. Basically I want to add Annotation, that contains points location, orientation and name to vertex or cartesian point. Any Ideas how to achieve this using OCCT?
Top